using System;
using System.Numerics;
class finale
{
    static void Main()
    {
        string[] prva=Console.ReadLine().Split();
        BigInteger n= BigInteger.Parse(prva[0]);
        BigInteger m= BigInteger.Parse(prva[1]);
        BigInteger r;
        r=(m-2)*(n-2)/2+m+m-4+n+n;
        Console.WriteLine(r);
    }
}